Create a site partner
curl --request POST \
--url https://api.lynkwell.com/asset-management/v1/site-partners \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"network": "<string>"
}
'import requests
url = "https://api.lynkwell.com/asset-management/v1/site-partners"
payload = { "network": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({network: '<string>'})
};
fetch('https://api.lynkwell.com/asset-management/v1/site-partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "siteHost",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"network": {
"id": "<string>"
},
"siteHost": {
"name": "<string>",
"physicalAddress": {
"streetNumber": "<string>",
"streetName": "<string>",
"city": "<string>",
"state": "AL",
"postalCode": "<string>",
"countryCode": "US",
"streetDetails": "<string>"
},
"contactDetails": {
"email": "<string>",
"phone": "<string>"
},
"nayax": {
"subOperatorId": 123
}
},
"utility": {
"name": "<string>",
"physicalAddress": {
"streetNumber": "<string>",
"streetName": "<string>",
"city": "<string>",
"state": "AL",
"postalCode": "<string>",
"countryCode": "US",
"streetDetails": "<string>"
},
"contactDetails": {
"email": "<string>",
"phone": "<string>"
}
},
"reportingAgency": {
"name": "<string>",
"physicalAddress": {
"streetNumber": "<string>",
"streetName": "<string>",
"city": "<string>",
"state": "AL",
"postalCode": "<string>",
"countryCode": "US",
"streetDetails": "<string>"
},
"contactDetails": {
"email": "<string>",
"phone": "<string>"
}
}
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Site Partners
Create a site partner
This endpoint creates a site partner.
This action is not enabled by default. You must request additional permissions to perform this action.
POST
/
asset-management
/
v1
/
site-partners
Create a site partner
Authorizations
OAuth2 Client Credentials Flow
Body
application/json
Should provide the same key that is used in the type property
The type of site partner (siteHost or utility or reportingAgency)
Available options:
siteHost, utility, reportingAgency The network associated with the site partner
Details specific to the site host type of site partner
Show child attributes
Show child attributes
Details specific to the utility type of site partner
Show child attributes
Show child attributes
Details specific to the reporting agency type of site partner
Show child attributes
Show child attributes
Response
The site partner was successfully created.
Show child attributes
Show child attributes